---
title: Provisioning
url: https://docs.vultr.com/products/storage/databases/valkey/provisioning
description: A guide explaining how to set up and configure Vultr Managed Databases for Valkey
publish_date: 2024-09-23T20:21:46.331305Z
last_updated: 2026-05-26T19:44:04.066362Z
---

# How to Provision Vultr Managed Databases for Valkey

Vultr Managed Databases for Valkey is a highly-available Redis®-compatible in-memory database with flexible data structures. You can use the NoSQL database as a cache, streaming engine, and message broker. You can provision a CPU or memory-optimized database cluster around the globe in any Vultr location. Vultr Managed Databases for Valkey support trusted sources and SSL certificates for security.

Follow this guide to provision Vultr Managed Databases for Valkey using the Vultr Console, API, CLI, or Terraform.

=== "Vultr Console"

    1. Navigate to **Products** and click **Databases**.
    1. Click **Add Managed Database**.
    1. Choose **Vultr Managed Database for Valkey** as the database engine.
    1. Select the **Server Type** and **Plan**.
    1. Click the **Number of Failover Replica Nodes** drop-down and select the number of **failover replica nodes** to provide automatic failover incase the primary node fails, ensuring continuous service availability.
    1. Choose a server location.
    1. Select a VPC Network.
    1. Enter a database label, review the monthly and hourly cost estimates, and click **Deploy Now**.

=== "Vultr API"

    1. Send a `GET` request to the [**List Managed Database Plans** endpoint](https://www.vultr.com/api/#tag/managed-databases/operation/list-database-plans) to view all available plans.

        ```console
        $ curl "https://api.vultr.com/v2/databases/plans" \
            -X GET \
            -H "Authorization: Bearer ${VULTR_API_KEY}"
        ```

    1. Send a `POST` request to the [**Create Database** endpoint](https://api.vultr.com/v2/databases) to create a new database instance.

        ```console
        $ curl "https://api.vultr.com/v2/databases" \
            -X POST \
            -H "Authorization: Bearer ${VULTR_API_KEY}" \
            -H "Content-Type: application/json" \
            --data '{
                "database_engine" : "valkey",
                "database_engine_version" : "7",
                "plan" : "vultr-dbaas-startup-occ-mo-2-26-16",
                "region" : "jnb",        
                "label" : "Remote-Valkey-Db"
            }'
        ```

        Visit the [**Create Database** endpoint](https://api.vultr.com/v2/databases) to view additional attributes to add to your request.

    1. Send a `GET` request to the [**List Managed Databases** endpoint](https://www.vultr.com/api/#tag/managed-databases/operation/list-databases) to list all database instances.

        ```console
        $ curl "https://api.vultr.com/v2/databases" \
            -X GET \
            -H "Authorization: Bearer ${VULTR_API_KEY}" \
            -H "Content-Type: application/json"
        ```

=== "Vultr CLI"

    1. List the available database plans.

        ```console
        $ vultr-cli database plan list
        ```

    1. Create a new database instance.

        ```console
        $ vultr-cli database create \
        --database-engine valkey \
        --database-engine-version 7 \
        --plan vultr-dbaas-startup-occ-mo-2-26-16 \
        --region jnb \
        --vpc-id 24ab6b57-845b-4354-a243-9bcafb4bd505 \
        --label Remote-Valkey-Db
        ```

    1. List all database instances.

        ```console
        $ vultr-cli database list --summarize 
        ```
    
        Run `vultr-cli database create --help` to view all options.

=== "Terraform"

    1. Ensure the [Vultr Terraform provider](https://registry.terraform.io/providers/vultr/vultr/latest/docs) is configured in your Terraform project.

    1. Define the Managed Database for Valkey (Redis-compatible) in your Terraform configuration file.

        ```terraform
        terraform {
            required_providers {
                vultr = {
                    source  = "vultr/vultr"
                    version = "~> 2.26"
                }
            }
        }

        provider "vultr" {}

        resource "vultr_database" "valkey" {
            database_engine         = "valkey"
            database_engine_version = "7"
            region                  = "jnb"  # e.g., ewr, ams, sgp, jnb
            plan                    = "vultr-dbaas-startup-occ-mo-2-26-16"
            label                   = "valkey-db-1"

            # Optional
            # vpc_id      = "<vpc-id>"
            # trusted_ips = ["192.0.2.1", "192.0.2.2"]
        }

        output "valkey_host" { value = vultr_database.valkey.host }
        output "valkey_port" { value = vultr_database.valkey.port }
        ```

    1. Apply the configuration and observe the following output:

        ```
        Apply complete! Resources: 1 added, 0 changed, 0 destroyed.
        ```
